%define fw_version 5.41

Summary:	KDE Frameworks 5 configuration dialogs widgets module
Name:		kconfigwidgets
Version:	5.41.0
Release:	2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
# Revert upstream commit to keep old default colors (affects window decorations)
Patch0:		kconfigwidgets-5.41.0-default-colors.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5auth-devel >= %{version}
BuildRequires:	kf5codecs-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5guiaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 configuration dialogs widgets module.

KConfigWidgets provides easy-to-use classes to create configuration dialogs,
as well as a set of widgets which uses KConfig to store their settings.

%files
%{_kde5_bindir}/preparetips5
%{_kde5_configdir}/kconfigwidgets.categories
%{_kde5_mandir}/man1/preparetips5.1*

#----------------------------------------------------------------------------

%package i18n
Summary:	KConfigWidgets translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KConfigWidgets translations.

%files i18n -f %{name}.lang
%{_localedir}/*/kf5_entry.desktop

#----------------------------------------------------------------------------

%define kf5configwidgets_major 5
%define libkf5configwidgets %mklibname kf5configwidgets %{kf5configwidgets_major}

%package -n %{libkf5configwidgets}
Summary:	KDE Frameworks 5 configuration dialogs widgets shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5configwidgets}
KDE Frameworks 5 configuration dialogs widgets shared library.

%files -n %{libkf5configwidgets}
%{_kde5_libdir}/libKF5ConfigWidgets.so.%{kf5configwidgets_major}*

#----------------------------------------------------------------------------

%define devkf5configwidgets %mklibname kf5configwidgets -d

%package -n %{devkf5configwidgets}
Summary:	Development files for KDE Frameworks 5 configuration dialogs widgets module
Group:		Development/KDE and Qt
Requires:	%{libkf5configwidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5configwidgets-devel = %{version}

%description -n %{devkf5configwidgets}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5configwidgets}
%{_kde5_includedir}/KF5/KConfigWidgets
%{_kde5_includedir}/KF5/kconfigwidgets_version.h
%{_kde5_libdir}/cmake/KF5ConfigWidgets
%{_kde5_libdir}/libKF5ConfigWidgets.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -R

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Feb 03 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-2
- (c5b35a4) Revert upstream commit to keep old default colors (affects window decorations)

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (f2d9159) Update files
- (Andrey Bondrov: f08712a) Drop translations patch (fixed upstream)
- (Andrey Bondrov: 75d5c5c) New version 5.41.0

* Wed Nov 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-2
- (3486d51) Update Russian translation

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (86794f5) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (509af46) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (fc5a441) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (2e4b3ba) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (a0b5b94) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (2d64dc0) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (54ff329) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (d75af82) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (6b28595) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (76fbb9e) Adjust find_lang to look for manpage translations
- (Andrey Bondrov: e0235e3) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (c77b951) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (595a36f) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (595123e) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (df21052) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (dafae86) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (31a8f45) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (5412f5f) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (81698e9) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (bfc1d6b) Adjust BuildRequires format
- (Andrey Bondrov: 123ac02) Update files (upstream dropped ktip-bulb.png)
- (Andrey Bondrov: 4462e17) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (895ff23) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (1fdae34) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (61ea34a) New version 5.13.0


